Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLTreeEditFrame

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          ix.iface.util.ToolFrame
                              ix.util.xml.XMLTreeEditFrame

All Implemented Interfaces:
  AgentNameListener, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

Direct Known Subclasses:
  AnnotationEditor, XMLTreeEditor.MessageFrame, XMLTreeViewFrame

    public class XMLTreeEditFrame

extends ToolFrame
implements java.awt.event.ActionListener

A frame that contains an XML editing panel.

See Also:
  `XMLTreeEditor`, `XMLTreeEditPanel`, Serialized Form

Nested Class Summary
`protected class` | `XMLTreeEditFrame.FindFrame`
`protected class` | `XMLTreeEditFrame.FindListener`
`protected static class` | `XMLTreeEditFrame.FrameGroup` A set of XMLTreeEditFrames that are logically part of the same editor for selection, cut/paste, find, etc.
`(package private) class` | `XMLTreeEditFrame.TextViewFrame`
`protected static class` | `XMLTreeEditFrame.TreeHelpFrame`

Nested classes/interfaces inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected IXAgent` | `agent`
`protected java.awt.Container` | `contentPane`
`protected java.lang.String[]` | `editHelp` Help text appended to `sharedHelp` in editors.
`protected XMLTreeEditPanel` | `editPanel`
`protected static XMLTreeEditFrame.FindFrame` | `findFrame`
`protected XMLTreeEditFrame.FrameGroup` | `frameGroup`
`protected static XMLTreeEditFrame.FrameGroup` | `globalFrameGroup`
`protected XMLTreeEditFrame.TreeHelpFrame` | `helpFrame`
`(package private) static XMLTreeNamespaceManager` | `namespaces` Manages namespaces for all tree editors and viewers.
`protected static XMLTreeSendFrame` | `sendFrame`
`protected java.lang.String[]` | `sharedHelp` Help text shared by viewers and editors.
`protected static ToolManager` | `toolManager`

Fields inherited from class ix.iface.util.ToolFrame
`toolFrames`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`XMLTreeEditFrame(IXAgent agent)`
`XMLTreeEditFrame(IXAgent agent, java.lang.String title)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Action interpreter for items in the frame's "File" menu.
`protected void` | `addLookAtMenu(javax.swing.JMenu fileMenu)`
`void` | `addTool(ToolController tc)`
`protected void` | `closeFrame()` Exit if this is the last visible frame for this frame's agent; otherwise just become invisible.
`void` | `editDocument(org.jdom.Document doc)`
`void` | `editObject(java.lang.Object obj)`
`protected void` | `ensureNamespaceManager()`
`void` | `exitIfUserConfirms()`
`void` | `expandDocument(int depth)`
`protected void` | `findInDocument()`
`IXAgent` | `getAgent()`
`protected java.lang.String` | `getBaseTitle()`
`org.jdom.Document` | `getDocument()`
`XMLTreeEditFrame.FrameGroup` | `getFrameGroup()`
`java.lang.Object` | `getObject()`
`boolean` | `isEditor()` Returns true if this frame allows editing and false if it is a read-only viewer.
`protected boolean` | `isStandalone()`
`boolean` | `isViewer()` Returns the negation of the value returned by `isEditor()`.
`protected void` | `loadFrom()`
`protected XMLTreeEditPanel` | `makeEditPanel()`
`protected java.lang.String` | `makeHelpText()`
`protected javax.swing.JMenuBar` | `makeMenuBar()` Creates the menu bar
`protected javax.swing.JMenuItem` | `makeMenuItem(java.lang.String text)`
`(package private) ToolManager` | `makeToolManager()`
`protected void` | `newEditorWindow()`
`protected void` | `reset()`
`protected void` | `resetIfUserConfirms()`
`protected void` | `saveAs()`
`protected void` | `sendTo()`
`protected void` | `showHelp()`

Methods inherited from class ix.iface.util.ToolFrame
`setVisible, symbolNameChanged, walkToolFrames`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setAlwaysOnTop, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationByPlatform, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### agent

    protected IXAgent agent

### contentPane

    protected java.awt.Container contentPane

### editPanel

    protected XMLTreeEditPanel editPanel

### frameGroup

    protected XMLTreeEditFrame.FrameGroup frameGroup

### helpFrame

    protected XMLTreeEditFrame.TreeHelpFrame helpFrame

### findFrame

    protected static XMLTreeEditFrame.FindFrame findFrame

### sendFrame

    protected static XMLTreeSendFrame sendFrame

### toolManager

    protected static ToolManager toolManager

### globalFrameGroup

    protected static XMLTreeEditFrame.FrameGroup globalFrameGroup

### namespaces

    static XMLTreeNamespaceManager namespaces

  Manages namespaces for all tree editors and viewers.

### sharedHelp

    protected java.lang.String[] sharedHelp

  Help text shared by viewers and editors.

### editHelp

    protected java.lang.String[] editHelp

  Help text appended to `sharedHelp` in editors.

Constructor Detail

### XMLTreeEditFrame

    public XMLTreeEditFrame(IXAgent agent)

### XMLTreeEditFrame

    public XMLTreeEditFrame(IXAgent agent,
                            java.lang.String title)

Method Detail

### getAgent

    public IXAgent getAgent()

### getFrameGroup

    public XMLTreeEditFrame.FrameGroup getFrameGroup()

### makeEditPanel

    protected XMLTreeEditPanel makeEditPanel()

### ensureNamespaceManager

    protected void ensureNamespaceManager()

### isStandalone

    protected boolean isStandalone()

### isEditor

    public boolean isEditor()

  Returns true if this frame allows editing and false if it is a read-only viewer.

### isViewer

    public boolean isViewer()

  Returns the negation of the value returned by `isEditor()`.

### editDocument

    public void editDocument(org.jdom.Document doc)

### getDocument

    public org.jdom.Document getDocument()

### editObject

    public void editObject(java.lang.Object obj)

### getObject

    public java.lang.Object getObject()

### expandDocument

    public void expandDocument(int depth)

### makeMenuBar

    protected javax.swing.JMenuBar makeMenuBar()

  Creates the menu bar

### addLookAtMenu

    protected void addLookAtMenu(javax.swing.JMenu fileMenu)

### makeToolManager

    ToolManager makeToolManager()

### addTool

    public void addTool(ToolController tc)

### makeMenuItem

    protected javax.swing.JMenuItem makeMenuItem(java.lang.String text)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Action interpreter for items in the frame's "File" menu.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### reset

    protected void reset()

### resetIfUserConfirms

    protected void resetIfUserConfirms()

### closeFrame

    protected void closeFrame()

  Exit if this is the last visible frame for this frame's agent; otherwise just become invisible.

### exitIfUserConfirms

    public void exitIfUserConfirms()

### newEditorWindow

    protected void newEditorWindow()

### getBaseTitle

    protected java.lang.String getBaseTitle()

### loadFrom

    protected void loadFrom()

### saveAs

    protected void saveAs()

### findInDocument

    protected void findInDocument()

### sendTo

    protected void sendTo()

### showHelp

    protected void showHelp()

### makeHelpText

    protected java.lang.String makeHelpText()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD